Skip to main content

NEAR Intents

Welcome to the NEAR Intents Docs

1-Click Swap API

Request quotes, execute cross-chain swaps, and track their status.

Quickstart ->

Learn More ->

# Query supported tokens
curl https://1click.chaindefuser.com/v0/tokens

# Request a quote
curl -X POST https://1click.chaindefuser.com/v0/quote \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_JWT_TOKEN" \
  -d '{
    "swapType": "EXACT_INPUT",
    "originAsset": "nep141:wrap.near",
    "depositType": "ORIGIN_CHAIN",
    "destinationAsset": "nep141:arb-0x912ce59144191c1204e64559fe8253a0e49e6548.omft.near",
    "amount": "100000000000000000000000",
    ...
  }'
Swap Widget UI

React Widget

Integrate a customizable, cross-chain swap interface into your app with just a few lines of code.

Learn More ->

SDK Libraries

Use SDKs for TypeScript, Go, and Rust to request quotes, submit deposits, and monitor execution status.

Learn More ->

import { OpenAPI, OneClickService } from '@defuse-protocol/one-click-sdk-typescript';

OpenAPI.TOKEN = 'YOUR_JWT_TOKEN';

const tokens = await OneClickService.getTokens();
console.log(tokens.length);

Browse By Topic